
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary: 	Python module for GNU parted
Name:    	python-parted
Version: 	3.11.7
Release: 	%mkrel 1
License: 	GPLv2+
Group:   	System/Libraries
URL:     	https://github.com/dcantrell/pyparted
Source0: 	pyparted-%{version}.tar.xz

BuildRequires: 	pkgconfig(python3)
BuildRequires: 	pkgconfig(libparted) >= 3.3

%description
Python module for the parted library. It is used for manipulating
partition tables.

%package -n python3-parted
Summary:	Python 3 module for GNU parted
Group:		System/Libraries
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-parted}

%description -n python3-parted
Python module for the parted library.  It is used for manipulating
partition tables. This package provides Python 3 bindings for parted.

%files -n python3-parted
%{python3_sitearch}/_ped.*.so
%{python3_sitearch}/parted
%{python3_sitearch}/pyparted-%{version}-*.egg-info

%prep
%setup -qn pyparted-%{version}

%build
%make PYTHON=python3

%install
%make_install PYTHON=python3

# Remove .la file
find %{buildroot} -name "*.la" -delete


%changelog
* Sat Mar 12 2022 TerryN <terryn94 at gmail.com> 3.11.7-1pclos2022
- update and rebuild for python 3.10

* Tue Dec 17 2019 tex - 3.11.2-1pclos2019
- new version
